package com.yihu.hos.resource.dao;

import com.yihu.hos.web.framework.dao.XSQLGeneralDAO;
import com.yihu.hos.web.framework.model.Result;
import com.yihu.hos.resource.model.RsResourceMetadata;

import java.util.List;
import java.util.Map;

/**
 * Created by chenweida on 2016/1/21.
 */

public interface IRsResourceMetadataDao extends XSQLGeneralDAO {
    void deleteMetadatasByDataSetCode(String dataSetCode) throws Exception;

    void deleteLogicDataSupportMetaDataByLocalDataSetId(String datasetId) throws Exception;

    List<RsResourceMetadata> getMetadataByLocalDatssetId(String datasetId) throws Exception;

    Result getResourceAuthorize(Map<String, Object> params) throws Exception;

    List<RsResourceMetadata> getMetadataByResourceId(String code) throws Exception;

    RsResourceMetadata getMetadataByCodeAndResourceId(String code, String resourceId) throws Exception;

    RsResourceMetadata getMetadataByCodeAndResourceIdWithOutId(String code, String resourceId, String id) throws Exception;
}
